---
- name: Include variables
  include_vars:
    file: ../../vars.yml

- name: Remove Elastic Config YAML
  become: yes
  file:
      path: "{{ elastic_yaml }}"
      state: absent

- name: Wait for 2 seconds to allow config to be deleted
  wait_for:
    timeout: 2

- name: Add A Blank Elastic Config YAML
  become: yes
  file:
      path: "{{ elastic_yaml }}"
      state: touch

- name: Add Details To Elastic Config YAML
  become: yes
  blockinfile:
    path: "{{ elastic_yaml }}"
    marker: ''
    block: |
       cluster.name: {{ elastic_cluster_name }}
       node.name: {{ node_name }}
       network.host: 0.0.0.0
       http.port: {{ elastic_port }}
       node.master: false
       node.data: true
       node.ingest: false
       discovery.seed_hosts: [{{ elastic_discovery_seeds }}]
       cluster.initial_master_nodes: [{{ elastic_master_nodes }}]
       path.data: /var/lib/elasticsearch
       path.logs: /var/log/elasticsearch

- name: Start ElasticSearch Service
  become: yes
  service:
    name: elasticsearch
    state: started